<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (WD-USA template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/*************************** Version 20181015 *****************************/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
$standAlone				= false;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="WPC Frozen Precipitation Forecast Loops"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NWS WPC Frozen Precipitation Forecast Loops');
	$showGizmo = true; // Set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NWS WPC Frozen Precipitation Forecast Loops';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
/************************* Settings *****************************/
$duration = '24'; // Default duration is set here - '24', '48', or '72'
$ptype = 'snow'; // Default frozen precipitation type is set here - 'icez', or 'snow'
$fctype = 'probability'; // Default Precipitation Forecast: 'probability' or 'percentiles'
$measure = ($fctype=='probability'?($ptype=='icez'?'.01':'01'):'50');
$iframeWidth = 660; // Width of iframe to accommodate narrow Saratoga template to max of 800
$imageWidth = ($iframeWidth-($iframeWidth*.045)); // Adjust image width to iframe width
$iframeHeight = ($imageWidth*.6875)+($imageWidth*.075); // Computed IFrame Height
$bgndColor = 'silver'; // Set HAniS Background Color Here
$btnColor = 'darkslategray'; // Set Button Color here
$btnTextColor = 'white'; // Set Button Text Color here
$pauseSeconds = 2; // Pause on last image, in seconds
$animRate = 10; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
$smoothingOn = true; // Enable image smoothing - new in HAniS 2.5
/*********************** End Settings ***************************/
if ($standAlone||$_SESSION['CSSwidescreen']==1) {
 $iframeWidth = 800; // No reason to shrink the images here!
	$imageWidth = ($iframeWidth-($iframeWidth*.045)); // Adjust new image width to iframe width
	$iframeHeight = ($imageWidth*.6875)+($imageWidth*.075); // Compute new IFrame Height
}?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	var $jq = jQuery.noConflict();
	function showLoopjs(ptype,fctype,duration,measure,imageWidth,iframeWidth,iframeHeight,bgndColor,btnColor,btnTextColor,pauseSeconds,animRate,smoothingOn) { 
		$jq('#selectors').load('inc-wxpqfpfp-h5loops.php', {ptype:ptype,fctype:fctype,duration:duration,measure:measure,imageWidth:imageWidth,iframeWidth:iframeWidth,iframeHeight:iframeHeight,bgndColor:bgndColor,btnColor:btnColor,btnTextColor:btnTextColor,pauseSeconds:pauseSeconds,animRate:animRate,smoothingOn:smoothingOn});
	}
}
</script>
<style type="text/css">
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}
</style>

</head>
<body>
<?php
if ( !$standAlone ) {
	############################################################################
	include("header.php");
	############################################################################
	include("menubar.php");
############################################################################
}
$SStart = date('z',mktime(0,0,0,9,15,0));	// Start of Winter Prediction Season
$SEnd = date('z',mktime(0,0,0,5,15,0));	// End of Winter Prediction Season
?>

<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114px)' : ($iframeWidth+2).'px') ?>; border:inset; padding:2px; padding-right:<?php echo intval($iframeWidth*.025)?>px">
<?php } else { ?>
	<div id="main-copy" style="width:100%; padding:0px">
<?php }	?>
  <div class="center" style="width:<?php echo $iframeWidth?>px">
	<?php if (date('z')<$SStart && date('z')>$SEnd) { 
	echo '<h3 align="center"><span style="color:#FF0033"><br/>Winter Prediction Season is from September 15 through May 15</span></h3><br/>';
	} else {
    include('inc-wxpqfpfp-h5loops.php');
	}?>
  </div>
</div><!-- end main-copy -->

<?php 
############################################################################
if ( !$standAlone ) {
	############################################################################
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>
